diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 9ee9ea2..3d43b3b 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -12751,7 +12751,6 @@ createViewAsClause(Archive *fout, TableInfo *tbinfo)
 		appendPQExpBuffer(query, "SELECT definition AS viewdef "
 						  "FROM pg_views WHERE viewname = ");
 		appendStringLiteralAH(query, tbinfo->dobj.name, fout);
-		appendPQExpBuffer(query, ";");
 	}
 
 	res = ExecuteSqlQuery(fout, query->data, PGRES_TUPLES_OK);
diff --git a/src/bin/pg_dump/pg_dumpall.c b/src/bin/pg_dump/pg_dumpall.c
index 78f702f..283b3d9 100644
--- a/src/bin/pg_dump/pg_dumpall.c
+++ b/src/bin/pg_dump/pg_dumpall.c
@@ -1428,8 +1428,6 @@ dumpDatabaseConfig(PGconn *conn, const char *dbname)
 		if (server_version >= 90000)
 			appendPQExpBuffer(buf, ")");
 
-		appendPQExpBuffer(buf, ";");
-
 		res = executeQuery(conn, buf->data);
 		if (PQntuples(res) == 1 &&
 			!PQgetisnull(res, 0, 0))
